#ifndef __INTEGRALAPI_DEFINE_H__
#define __INTEGRALAPI_DEFINE_H__

typedef enum {
	INPORT_A = 1,
	INPORT_B,
	INPORT_THRU,
	INPORT_SWAP
} INTEGRAL_INPORT;

typedef enum {
	SLIDESW_MIDDLE = 1,
	SLIDESW_LEFT,
	SLIDESW_RIGHT
} INTEGRAL_SLIDESW;

typedef enum {
	HDCP_14 = 2,
	HDCP_22
} INTEGRAL_HDCP;

typedef enum {
	EDID_AUTOMIX = 1,
	EDID_FIXED,
	EDID_CUSTOM
} INTEGRAL_EDID;

typedef enum {
	AUDIO_HDMI = 1,
	AUDIO_AUTO,
	AUDIO_JACK
} INTEGRAL_INAUDIO;

typedef enum {
	SINK_A,
	SINK_B
} INTEGRAL_SINK;

typedef enum { 
	ACT_INPUT,
	AUTO_SWITCH,
	AUDIO_SOURCE,
	HDCP_VERSION,
	OUTPUT_420,
	EDID_MODE,
	VIC_MODE,
	FW_VERSION,
	AUDIO2CFORCE,
	AUDIOSPDIFFORCE,
	FORCE3D,
	HDRFORCE,
	AUDIOALLFORCE,
	AUTO_SWITCH_PRIO,
	EDID_CUSTOM_TABLE,
	AVI_HDRMOD,
	CECLPREPURP,
	ACTHDROUT,
	AUDIODS,
	HDRSAMSUNG,
	ARCEN,
	SPD_IF,
	ENABLE_LED,
	ENABLE_BLED,
	BT2020,
	FACTRESET,
	YUV,
	CEC,
	CEC_LA,
	AVR,
	HDR_IF,
	HVS_IF,
	EDIDALGO,
	AVIPERS,
	AUTOHDR,
	USER_HDR_IF,
	USER_AVI_IF,
	HPDFORCE,
	SPLIT,
	EVENODD,
	SENDERRECEIVER,
	HDRDVFORCE
} INTEGRAL_CMD;


typedef enum {
	EDIDMIX_NORMAL = 0,
	EDIDMIX_MAXAUDIO,
	EDIDMIX_COPYTOP,
	EDIDMIX_MAXALL
} EDIDMIXALGO;

typedef enum {
	eCustom_Uploaded_EDID = 1,
	e4k60_444600MHz_HDR_BT2020_AllSound,
	e4k60_444_600MHz_HDR_BT_2020_Stereo,
	e4k60_444_600MHz_AllSound,
	e4k60_444_600MHz_Stereo,
	e4k50_444_600MHz_HDR_BT2020_AllSound,
	e4k50_444_600MHz_HDR_BT2020_Stereo,
	e4k60_420_12bit_HDR_BT2020_AllSound,
	e4k60_420_12bit_HDR_BT2020_Stereo,
	e4k60_420_12bit_BT2020_AllSound,
	e4k60_420_12bit_BT2020_Stereo,
	e4k60_420_8bit_300MHz_AllSound,
	e4k60_420_8bit_300MHz_Stereo,
	e4k30_444_300MHz_AllSound,
	e4k30_444_300MHz_Stereo,
	e4k30_RGB_300MHz_AllSound,
	e4k30_RGB_300MHz_Stereo,
	e4k24_422_12bit_BT2020_AllSound,
	e4k24_422_12bit_BT2020_Stereo,
	e1080p_444_148MHz_AllSound,
	e1080p_444_148MHz_HDR_Stereo,
	e1080p24_444_AllSound,
	e1080p24_444_Stereo,
	e1080I_444_AllSound,
	e1080I_444_Stereo,
} EDIDTABLE;

enum {
	eINPUT = 0,		
	eAUDIO,			
	eEDID,			
	eENC,			
	eDOWNS,			
	eCEC_EN,		
	eAUTOSW,		
	eEPPOWER,		
	eMUTE,			
	eSwEdid,		
	eSwHdcp,		
	eSwAudio,		
	eSWMODE,         
	e2chForce,
	eSpdifForce,
	e3DForce,
	eHdrForce,
	eAudioAllForce,
	eAUTOSWPRIO,
	eEdidCustomTable,
	eAviHdrMod,		
	eCecLpRepurp,
	eActHdrOut,
	eAudioDs,
	eHdrSamsung,
	eArc,
	eLedEnable,		
	eBLedEnable,
	eBt2020,
	eYuv,
	eCecLa,
	eAvr,
	eEdidAlgo,
	eAviPers,
	eAutoHdr,
	eHpdForce,
	eSplit,
	eEvenOdd,
	eSenderReceiver,
	eHdrDvForce,
	eSessionA,
	eSessionB
};

#endif /* __INTEGRALAPI_DEFINE_H__ */